- Home
- API Enriched
- Shape
- shape
- Automated Traffic Overview in actions.
Automated Traffic Overview in actions.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/v1/reporting/traffic/automated/overview/actions';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"category":"example","end_time":"example","filters":{"action_taken":{"actions_taken":["example"],"op":"IN"},"app_id_filter":{"app_id_strings":["example"],"op":"IN"},"application_name":{"application_names":["example"],"op":"IN"},"as_org_filter":{"as_orgs":["example"],"op":"IN"},"attack_intent_filter":{"attack_intent_strings":["example"],"op":"IN"},"automation_type_filter":{"automation_type_strings":["example"],"op":"IN"},"browser_filter":{"browser_strings":["example"],"op":"IN"},"country_filter":{"country_strings":["example"],"op":"IN"},"host_filter":{"host_strings":["example"],"op":"IN"},"inference_filter":{"inference_strings":["example"],"op":"IN"},"ip_filter":{"ips":["example"],"op":"IN"},"method_filter":{"method_strings":["example"],"op":"IN"},"os_filter":{"op":"IN","os_strings":["example"]},"referer_filter":{"op":"IN","referer_strings":["example"]},"region_filter":"US","traffic_type_filter":{"op":"IN","traffic_type_strings":["example"]},"ua_filter":{"op":"IN","ua_strings":["example"]},"uri_filter":{"op":"IN","uri_strings":["example"]}},"namespace":"example","start_time":"example","use_raw_data":true,"virtual_host":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/v1/reporting/traffic/automated/overview/actions \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "category": "example", "end_time": "example", "filters": { "action_taken": { "actions_taken": [ "example" ], "op": "IN" }, "app_id_filter": { "app_id_strings": [ "example" ], "op": "IN" }, "application_name": { "application_names": [ "example" ], "op": "IN" }, "as_org_filter": { "as_orgs": [ "example" ], "op": "IN" }, "attack_intent_filter": { "attack_intent_strings": [ "example" ], "op": "IN" }, "automation_type_filter": { "automation_type_strings": [ "example" ], "op": "IN" }, "browser_filter": { "browser_strings": [ "example" ], "op": "IN" }, "country_filter": { "country_strings": [ "example" ], "op": "IN" }, "host_filter": { "host_strings": [ "example" ], "op": "IN" }, "inference_filter": { "inference_strings": [ "example" ], "op": "IN" }, "ip_filter": { "ips": [ "example" ], "op": "IN" }, "method_filter": { "method_strings": [ "example" ], "op": "IN" }, "os_filter": { "op": "IN", "os_strings": [ "example" ] }, "referer_filter": { "op": "IN", "referer_strings": [ "example" ] }, "region_filter": "US", "traffic_type_filter": { "op": "IN", "traffic_type_strings": [ "example" ] }, "ua_filter": { "op": "IN", "ua_strings": [ "example" ] }, "uri_filter": { "op": "IN", "uri_strings": [ "example" ] } }, "namespace": "example", "start_time": "example", "use_raw_data": true, "virtual_host": "example" }'GET All Automated Traffic Actions.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace
x-required namespace is used to scope the query. Only virtual_host in given namespace will be considered.
Request Bodyrequired
Section titled “Request Bodyrequired”Request for Shape Bot Defense traffic overview.
object
Endpoint category label.
End time of the query period Format: unix_timestamp|RFC 3339
Optional: If not specified, then the end_time will be evaluated to start_time+10m
If start_time is not specified, then the end_time will be evaluated to
object
object
A list of strings Required: YES.
object
An unordered list of App ID strings Required: YES.
object
A list of strings Required: YES.
object
An unordered list of as org strings Required: YES.
object
An list of strings Required: YES.
object
An list of strings Required: YES.
object
An list of strings Required: YES.
object
An list of strings Required: YES.
object
An list of strings Required: YES.
object
An list of strings Required: YES.
object
An unordered list of IPv4 addresses Required: YES.
object
An list of strings Required: YES.
object
An list of strings Required: YES.
object
An list of strings Required: YES.
object
An list of strings Required: YES.
object
An unordered list of user agent strings Required: YES.
object
An list of strings Required: YES.
Namespace is used to scope the query. Only virtual_host in given namespace will be considered. Required: YES.
Start time of the query period Format: unix_timestamp|RFC 3339
Optional: If not specified, then the start_time will be evaluated to end_time-10m
If end_time is not specified, then the start_time will be evaluated to
Optional: by default is false. If use_raw_data = True and referer filter is set, then backend will query raw data.
Name of Virtual Host to scope the query Required: YES.
Responses
Section titled “Responses”A successful response.
Automated Bot Taffic in Actions Response.
object
Action or operation type
object
The Action Taken for automated bot traffic.
The total count of the action taken.
The total count of all the action taken.
The total number of automated bot traffic in the action taken within the previous specified time interval.
The sentiment for the total automated bot traffic Actions.
Trend of the number of automated bot traffic in the Action Taken.
Examplegenerated
{ "actions": [ { "action_taken": "example", "count": "example" } ], "current_total": "example", "previous_total": "example", "sentiment": "example", "trend": 1}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example